View Issue Details

IDProjectCategoryView StatusLast Update
15365Bug reportsTheme editorpublic2019-10-22 18:46
ReporterTorbayIntel Assigned Toeddylackmann  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.0-RC4 
Summary15365: 4.0 rc standard themes are not compatible with version 4 of the LimeSurvey API.
Description

Choosing the Theme Editor for any theme, including the standard themes, produces two warnings.

1) Usage of processString without a string in your template

2) "This theme is out of date. We can not guarantee optimum operation. It would be preferable to no longer use it or to make it compatible with the version 4 of the LimeSurvey API."

This is probably a blocking issue for 4.0 but I feel it's not for me to decide.

Steps To Reproduce

1) Go to /index.php/admin/themeoptions
2) Choose any theme and click 'Theme editor'

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC4 build 190930
I will donate to the project if issue is resolvedNo
BrowserFirefox 70.0b11
Database & DB-Version421
Server OS (if known) Linux 9168382fb95c4f8100e8988895b32ea9a6f529a0a229e5f167723e48c78a3694 4.19.55-stretch700990 #stretch700990 SMP Mon Jun 24 09:10:32 UTC 2019 x86_64
Webserver software & version (if known)
PHP Version 7.3.9

Relationships

parent of 15445 new Allow multiple api version compatible OR have a theme API number 
Not all the children of this issue are yet resolved or closed.

Activities

TorbayIntel

TorbayIntel

2019-10-04 15:07

reporter  

DenisChenu

DenisChenu

2019-10-18 11:11

developer   ~54096

Still in 4.0RC5 :)

lime_release_bot

lime_release_bot

2019-10-22 17:54

administrator   ~54146

Fixed in Release 4.0.0-RC6+191022

Issue History

Date Modified Username Field Change
2019-10-04 15:07 TorbayIntel New Issue
2019-10-04 15:07 TorbayIntel File Added: Screen Shot 2019-10-04 at 13.58.23.png
2019-10-18 11:11 DenisChenu Note Added: 54096
2019-10-21 14:14 eddylackmann Assigned To => eddylackmann
2019-10-21 14:14 eddylackmann Status new => assigned
2019-10-21 14:14 eddylackmann Status assigned => confirmed
2019-10-22 13:44 eddylackmann Status confirmed => testing
2019-10-22 17:54 lime_release_bot Note Added: 54146
2019-10-22 17:54 lime_release_bot Status testing => closed
2019-10-22 17:54 lime_release_bot Resolution open => fixed
2019-10-22 18:46 DenisChenu Relationship added parent of 15445